Bug 225263 - digikam crashed while applying black and white effect
Summary: digikam crashed while applying black and white effect
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Albums-Engine (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-02 13:53 UTC by GK
Modified: 2017-08-08 11:33 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description GK 2010-02-02 13:53:23 UTC
Application that crashed: digikam
Version of the application: 1.0.0
KDE Version: 4.3.5 (KDE 4.3.5)
Qt Version: 4.5.2
Operating System: Linux 2.6.31-18-generic i686
Distribution: Ubuntu 9.10

What I was doing when the application crashed:
digikam crashed when I was trying to apply a black and white effect (have chosen one of the Kodak options proposed in the menu) to a picture. Several other effects were applied before this one to the same picture (listed chronologically): horisontal flip, vertical flip, crop, perspective adjustment, colour adjustment.

 -- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0xb76ef920 (LWP 11571))]

Thread 21 (Thread 0xb613ab70 (LWP 11575)):
#0  0x0052f422 in __kernel_vsyscall ()
#1  0x006b0e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x0342e87d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x06954e67 in QWaitConditionPrivate::wait (this=0x9d7aad8, mutex=0x9d7aad4, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x9d7aad8, mutex=0x9d7aad4, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x08319c89 in ?? ()
#6  0x06953e32 in QThreadPrivate::start (arg=0x9d41018) at thread/qthread_unix.cpp:188
#7  0x006ac80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x034218de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 20 (Thread 0xb56ffb70 (LWP 11580)):
#0  0x006b0144 in __pthread_mutex_unlock_usercnt () from /lib/tls/i686/cmov/libpthread.so.0
#1  0x0342ea86 in pthread_mutex_unlock () from /lib/tls/i686/cmov/libc.so.6
#2  0x09746f7e in g_main_context_prepare () from /lib/libglib-2.0.so.0
#3  0x09747351 in ?? () from /lib/libglib-2.0.so.0
#4  0x09747863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x06a6f067 in QEventDispatcherGlib::processEvents (this=0x9fd0578, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#6  0x06a42c79 in QEventLoop::processEvents (this=0xb56ff2e4, flags=) at kernel/qeventloop.cpp:149
#7  0x06a430ca in QEventLoop::exec (this=0xb56ff2e4, flags=...) at kernel/qeventloop.cpp:201
#8  0x06950b73 in QThread::exec (this=0x9f84040) at thread/qthread.cpp:487
#9  0x073a734d in ?? () from /usr/lib/libdigikamdatabase.so.1
#10 0x06953e32 in QThreadPrivate::start (arg=0x9f84040) at thread/qthread_unix.cpp:188
#11 0x006ac80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#12 0x034218de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 19 (Thread 0xb4cffb70 (LWP 11581)):
#0  0x006aed4b in pthread_mutex_lock () from /lib/tls/i686/cmov/libpthread.so.0
#1  0x0342ea46 in pthread_mutex_lock () from /lib/tls/i686/cmov/libc.so.6
#2  0x09746e2f in g_main_context_prepare () from /lib/libglib-2.0.so.0
#3  0x09747351 in ?? () from /lib/libglib-2.0.so.0
#4  0x09747863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x06a6f067 in QEventDispatcherGlib::processEvents (this=0x9fcb898, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#6  0x06a42c79 in QEventLoop::processEvents (this=0xb4cff2e4, flags=) at kernel/qeventloop.cpp:149
#7  0x06a430ca in QEventLoop::exec (this=0xb4cff2e4, flags=...) at kernel/qeventloop.cpp:201
#8  0x06950b73 in QThread::exec (this=0x9d7ae60) at thread/qthread.cpp:487
#9  0x073a734d in ?? () from /usr/lib/libdigikamdatabase.so.1
#10 0x06953e32 in QThreadPrivate::start (arg=0x9d7ae60) at thread/qthread_unix.cpp:188
#11 0x006ac80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#12 0x034218de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 18 (Thread 0xb44feb70 (LWP 11582)):
#0  0x0052f422 in __kernel_vsyscall ()
#1  0x006b0e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x0342e87d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x06954e67 in QWaitConditionPrivate::wait (this=0x9f86020, mutex=0x9f8601c, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x9f86020, mutex=0x9f8601c, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x0202e8aa in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#6  0x06953e32 in QThreadPrivate::start (arg=0x9f86010) at thread/qthread_unix.cpp:188
#7  0x006ac80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x034218de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 17 (Thread 0xb3cfdb70 (LWP 11583)):
#0  0x0052f422 in __kernel_vsyscall ()
#1  0x03413c96 in poll () from /lib/tls/i686/cmov/libc.so.6
#2  0x0975454b in g_poll () from /lib/libglib-2.0.so.0
#3  0x0974756b in ?? () from /lib/libglib-2.0.so.0
#4  0x09747863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x06a6f067 in QEventDispatcherGlib::processEvents (this=0x9fee0d0, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#6  0x06a42c79 in QEventLoop::processEvents (this=0xb3cfd304, flags=) at kernel/qeventloop.cpp:149
#7  0x06a430ca in QEventLoop::exec (this=0xb3cfd304, flags=...) at kernel/qeventloop.cpp:201
#8  0x06950b73 in QThread::exec (this=0x9fed1b0) at thread/qthread.cpp:487
#9  0x06953e32 in QThreadPrivate::start (arg=0x9fed1b0) at thread/qthread_unix.cpp:188
#10 0x006ac80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#11 0x034218de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 16 (Thread 0xb34fcb70 (LWP 11584)):
#0  0x00c4de06 in clock_gettime () from /lib/tls/i686/cmov/librt.so.1
#1  0x06a70bf3 in QTimerInfoList::getTime (this=0xb571ce04, t=...) at kernel/qeventdispatcher_unix.cpp:339
#2  0x06a70de1 in QTimerInfoList::updateCurrentTime (this=0xb571ce04) at kernel/qeventdispatcher_unix.cpp:297
#3  0x06a7188c in QTimerInfoList::timerWait (this=0xb571ce04, tm=...) at kernel/qeventdispatcher_unix.cpp:420
#4  0x06a6f210 in timerSourcePrepare (source=0xb571cdd0, timeout=0xb34fc13c) at kernel/qeventdispatcher_glib.cpp:141
#5  0x09746f90 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#6  0x09747351 in ?? () from /lib/libglib-2.0.so.0
#7  0x09747863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#8  0x06a6f067 in QEventDispatcherGlib::processEvents (this=0xb57b3028, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#9  0x06a42c79 in QEventLoop::processEvents (this=0xb34fc304, flags=) at kernel/qeventloop.cpp:149
#10 0x06a430ca in QEventLoop::exec (this=0xb34fc304, flags=...) at kernel/qeventloop.cpp:201
#11 0x06950b73 in QThread::exec (this=0x9fedd80) at thread/qthread.cpp:487
#12 0x06953e32 in QThreadPrivate::start (arg=0x9fedd80) at thread/qthread_unix.cpp:188
#13 0x006ac80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#14 0x034218de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 15 (Thread 0xb2cfbb70 (LWP 11585)):
#0  0x0052f422 in __kernel_vsyscall ()
#1  0x006b0e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x0342e87d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x06954e67 in QWaitConditionPrivate::wait (this=0xa034a68, mutex=0xa034a64, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xa034a68, mutex=0xa034a64, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x0202e8aa in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#6  0x06953e32 in QThreadPrivate::start (arg=0xa034a58) at thread/qthread_unix.cpp:188
#7  0x006ac80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x034218de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 14 (Thread 0x58dfb70 (LWP 11586)):
#0  0x0052f422 in __kernel_vsyscall ()
#1  0x006b1142 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x0342e8d4 in pthread_cond_timedwait () from /lib/tls/i686/cmov/libc.so.6
#3  0x01dad9ff in ?? () from /usr/lib/libxine.so.1
#4  0x006ac80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#5  0x034218de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 13 (Thread 0xb035cb70 (LWP 11587)):
#0  0x0052f422 in __kernel_vsyscall ()
#1  0x0341aa71 in select () from /lib/tls/i686/cmov/libc.so.6
#2  0x01dd6be0 in xine_usec_sleep () from /usr/lib/libxine.so.1
#3  0x01dbb011 in ?? () from /usr/lib/libxine.so.1
#4  0x006ac80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#5  0x034218de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 12 (Thread 0xafb5bb70 (LWP 11588)):
#0  0x006b0144 in __pthread_mutex_unlock_usercnt () from /lib/tls/i686/cmov/libpthread.so.0
#1  0x0342ea86 in pthread_mutex_unlock () from /lib/tls/i686/cmov/libc.so.6
#2  0x09746c7a in g_main_context_check () from /lib/libglib-2.0.so.0
#3  0x0974747c in ?? () from /lib/libglib-2.0.so.0
#4  0x09747863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x06a6f067 in QEventDispatcherGlib::processEvents (this=0x9db10d0, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#6  0x06a42c79 in QEventLoop::processEvents (this=0xafb5b2b4, flags=) at kernel/qeventloop.cpp:149
#7  0x06a430ca in QEventLoop::exec (this=0xafb5b2b4, flags=...) at kernel/qeventloop.cpp:201
#8  0x06950b73 in QThread::exec (this=0xa19aa60) at thread/qthread.cpp:487
#9  0x01d4c20a in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#10 0x06953e32 in QThreadPrivate::start (arg=0xa19aa60) at thread/qthread_unix.cpp:188
#11 0x006ac80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#12 0x034218de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 11 (Thread 0xaf35ab70 (LWP 11591)):
#0  0x0052f422 in __kernel_vsyscall ()
#1  0x03413c96 in poll () from /lib/tls/i686/cmov/libc.so.6
#2  0x07734c3b in ?? () from /usr/lib/xine/plugins/1.26/xineplug_ao_out_alsa.so
#3  0x006ac80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#4  0x034218de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 10 (Thread 0xaeb59b70 (LWP 11592)):
#0  0x0052f422 in __kernel_vsyscall ()
#1  0x006b0e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x0342e87d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x01dbe5ee in ?? () from /usr/lib/libxine.so.1
#4  0x006ac80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#5  0x034218de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 9 (Thread 0xacaaeb70 (LWP 11602)):
#0  0x0052f422 in __kernel_vsyscall ()
#1  0x006b0e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x0342e87d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x06954e67 in QWaitConditionPrivate::wait (this=0xaada620, mutex=0xaada61c, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xaada620, mutex=0xaada61c, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x0202e8aa in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#6  0x06953e32 in QThreadPrivate::start (arg=0xaada610) at thread/qthread_unix.cpp:188
#7  0x006ac80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x034218de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 8 (Thread 0xae358b70 (LWP 11612)):
#0  0x0052f422 in __kernel_vsyscall ()
#1  0x006b0e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x0342e87d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x06954e67 in QWaitConditionPrivate::wait (this=0xabe54b0, mutex=0xabe54ac, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xabe54b0, mutex=0xabe54ac, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x0202e8aa in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#6  0x06953e32 in QThreadPrivate::start (arg=0xabe54a0) at thread/qthread_unix.cpp:188
#7  0x006ac80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x034218de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 7 (Thread 0xa90ffb70 (LWP 11613)):
#0  0x0052f422 in __kernel_vsyscall ()
#1  0x006b0e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x0342e87d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x06954e67 in QWaitConditionPrivate::wait (this=0xb00ff70, mutex=0xb00ff6c, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xb00ff70, mutex=0xb00ff6c, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x0202e8aa in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#6  0x06953e32 in QThreadPrivate::start (arg=0xb00ff60) at thread/qthread_unix.cpp:188
#7  0x006ac80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x034218de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 6 (Thread 0xadb00b70 (LWP 11620)):
#0  0x0052f422 in __kernel_vsyscall ()
#1  0x006b0e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x0342e87d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x06954e67 in QWaitConditionPrivate::wait (this=0xbf40648, mutex=0xbf40644, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xbf40648, mutex=0xbf40644, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x0202e8aa in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#6  0x06953e32 in QThreadPrivate::start (arg=0xbf40638) at thread/qthread_unix.cpp:188
#7  0x006ac80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x034218de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 5 (Thread 0xa5169b70 (LWP 11696)):
#0  0x0052f422 in __kernel_vsyscall ()
#1  0x006b0e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x0342e87d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x06954e67 in QWaitConditionPrivate::wait (this=0xc5827e8, mutex=0xc5827e4, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xc5827e8, mutex=0xc5827e4, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x0202e8aa in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#6  0x06953e32 in QThreadPrivate::start (arg=0xc5827d8) at thread/qthread_unix.cpp:188
#7  0x006ac80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x034218de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 4 (Thread 0xa4968b70 (LWP 11697)):
#0  0x0052f422 in __kernel_vsyscall ()
#1  0x006b0e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x0342e87d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x06954e67 in QWaitConditionPrivate::wait (this=0xab0cbc0, mutex=0xab0cbbc, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xab0cbc0, mutex=0xab0cbbc, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x0202e8aa in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#6  0x06953e32 in QThreadPrivate::start (arg=0xab0cbb0) at thread/qthread_unix.cpp:188
#7  0x006ac80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x034218de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 3 (Thread 0xa596ab70 (LWP 11701)):
#0  0x0052f422 in __kernel_vsyscall ()
#1  0x006b0e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x0342e87d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x06954e67 in QWaitConditionPrivate::wait (this=0x9eb1d40, mutex=0x9eb1d3c, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x9eb1d40, mutex=0x9eb1d3c, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x0202e8aa in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#6  0x06953e32 in QThreadPrivate::start (arg=0x9eb1d30) at thread/qthread_unix.cpp:188
#7  0x006ac80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x034218de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 2 (Thread 0xa2fffb70 (LWP 11702)):
#0  0x0052f422 in __kernel_vsyscall ()
#1  0x006b0e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x0342e87d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x06954e67 in QWaitConditionPrivate::wait (this=0xc4aff38, mutex=0xc4aff34, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xc4aff38, mutex=0xc4aff34, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x0202e8aa in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.1
#6  0x06953e32 in QThreadPrivate::start (arg=0xc4aff28) at thread/qthread_unix.cpp:188
#7  0x006ac80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x034218de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb76ef920 (LWP 11571)):
[KCrash Handler]
#6  0x033ca056 in memcpy () from /lib/tls/i686/cmov/libc.so.6
#7  0xbfea9010 in ?? ()
#8  0x060830fd in QList<KDirWatchPrivate::Entry*>::detach_helper (this=0xbfea9010) at /usr/include/qt4/QtCore/qlist.h:524
#9  0x060799a8 in QList (this=0xcfe90fc) at /usr/include/qt4/QtCore/qlist.h:111
#10 QForeachContainer (this=0xcfe90fc) at /usr/include/qt4/QtCore/qglobal.h:2054
#11 KDirWatchPrivate::Entry::propagate_dirty (this=0xcfe90fc) at ../../kio/kio/kdirwatch.cpp:399
#12 0x06079981 in KDirWatchPrivate::Entry::propagate_dirty (this=0xc5b1224) at ../../kio/kio/kdirwatch.cpp:404
#13 0x06081991 in KDirWatchPrivate::slotRescan (this=0x9d52838) at ../../kio/kio/kdirwatch.cpp:1275
#14 0x060824eb in KDirWatchPrivate::qt_metacall (this=0x9d52838, _c=QMetaObject::InvokeMetaMethod, _id=4, _a=0xbfea921c) at ./kdirwatch_p.moc:73
#15 0x06a5a263 in QMetaObject::activate (sender=0x9d52880, from_signal_index=4, to_signal_index=4, argv=0x0) at kernel/qobject.cpp:3113
#16 0x06a5aec2 in QMetaObject::activate (sender=0x9d52880, m=0x6b35904, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3187
#17 0x06a94667 in QTimer::timeout (this=0x9d52880) at .moc/release-shared/moc_qtimer.cpp:128
#18 0x06a5f9ae in QTimer::timerEvent (this=0x9d52880, e=0xbfea96b0) at kernel/qtimer.cpp:261
#19 0x06a543bf in QObject::event (this=0x9d52880, e=0xbfea96b0) at kernel/qobject.cpp:1075
#20 0x02358f54 in QApplicationPrivate::notify_helper (this=0x9bf4d28, receiver=0x9d52880, e=0xbfea96b0) at kernel/qapplication.cpp:4056
#21 0x0236067c in QApplication::notify (this=0xbfea9a28, receiver=0x9d52880, e=0xbfea96b0) at kernel/qapplication.cpp:3603
#22 0x04a4925a in KApplication::notify (this=0xbfea9a28, receiver=0x9d52880, event=0xbfea96b0) at ../../kdeui/kernel/kapplication.cpp:302
#23 0x06a446cb in QCoreApplication::notifyInternal (this=0xbfea9a28, receiver=0x9d52880, event=0xbfea96b0) at kernel/qcoreapplication.cpp:610
#24 0x06a717ce in QCoreApplication::sendEvent (this=0x9bf7f34) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#25 QTimerInfoList::activateTimers (this=0x9bf7f34) at kernel/qeventdispatcher_unix.cpp:572
#26 0x06a6f0e0 in timerSourceDispatch (source=0x9bf7f00) at kernel/qeventdispatcher_glib.cpp:165
#27 0x09743e88 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#28 0x09747730 in ?? () from /lib/libglib-2.0.so.0
#29 0x09747863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#30 0x06a6f02c in QEventDispatcherGlib::processEvents (this=0x9bcee80, flags=...) at kernel/qeventdispatcher_glib.cpp:327
#31 0x023f9be5 in QGuiEventDispatcherGlib::processEvents (this=0x9bcee80, flags=...) at kernel/qguieventdispatcher_glib.cpp:202
#32 0x06a42c79 in QEventLoop::processEvents (this=0xbfea9974, flags=) at kernel/qeventloop.cpp:149
#33 0x06a430ca in QEventLoop::exec (this=0xbfea9974, flags=...) at kernel/qeventloop.cpp:201
#34 0x06a4553f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#35 0x02358dd7 in QApplication::exec () at kernel/qapplication.cpp:3525
#36 0x083bcb2b in ?? ()
#37 0x0336bb56 in __libc_start_main () from /lib/tls/i686/cmov/libc.so.6
#38 0x080a23b1 in _start ()

Reported using DrKonqi
Comment 1 caulier.gilles 2010-02-02 14:04:35 UTC
Dario,

Another KDirWhatch crash ?

Gilles Caulier
Comment 2 Dario Andres 2010-02-02 23:38:33 UTC
Yes, bug 222547. Regards

*** This bug has been marked as a duplicate of bug 222547 ***
Comment 3 caulier.gilles 2017-07-19 03:49:05 UTC
Problem not reproducible since digiKam 5.0.0 as KDirWatch has been ported to
QFileSystemWatcher